Austin Group Defect Tracker

Aardvark Mark III


Viewing Issue Simple Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Type Date Submitted Last Update
0000781 [1003.1(2013)/Issue7+TC1] Base Definitions and Headers Editorial Clarification Requested 2013-10-31 21:53 2013-12-12 17:11
Reporter nsz View Status public  
Assigned To
Priority normal Resolution Accepted As Marked  
Status Resolved  
Name Szabolcs Nagy
Organization musl libc
User Reference
Section locale.h
Page Number 286-7, 1376
Line Number 9521, 9530, 45474-5
Interp Status ---
Final Accepted Text see Note: 0002070
Summary 0000781: LC_*_MASK reserved identifiers in locale.h is not correct
Description The 'LC_[A-Z]' prefix is reserved (for macros) for locale.h
in the C standard (and in the reserved identifier table in
posix).

but locale.h description says

  "Implementations may add additional masks using the form LC_* and an uppercase letter."

and then in CX shaded section

  "Implementations may add additional masks using the form LC_*_MASK."

Desired Action change the text to

  "Implementations may add additional masks beginning
   with LC_ and an uppercase letter"

and

  "Implementations may add additional masks beginning
   with LC_ and an uppercase letter and endig with _MASK"
Tags tc2-2008
Attached Files

- Relationships

-  Notes
(0002051)
shware_systems (reporter)
2013-12-05 17:41

In locale.h POSIX reserves a separate name space from the general C form where '_MASK' is the suffix, but that isn't particularly clear. It's also CX that the general form is now limited, and there are other places, in the referenced interfaces and the reserved identifiers table, where edits could be made as clarification.
(0002070)
eblake (manager)
2013-12-12 16:54
edited on: 2013-12-12 17:12

Change page 286 line 9521 (XBD locale.h description) from:
Implementations may add additional masks using the form LC_* and an uppercase letter.
to:
Additional macro definitions, beginning with the characters LC_ and an uppercase letter, may also be specified by the implementation.


Delete page 287 line 9530:
[CX]Implementations may add additional masks using the form LC_*_MASK.[/CX]


Change page 287 line 9547 (rationale) from "None." to:
It is suggested that each category macro name for use in setlocale() have a corresponding macro name ending in _MASK for use in newlocale().


Change page 1376 line 45474 (XSH newlocale) from:
any of the other implementation-defined LC_*_MASK values defined in <locale.h>
to:
any of the implementation-defined mask values defined in <locale.h>



- Issue History
Date Modified Username Field Change
2013-10-31 21:53 nsz New Issue
2013-10-31 21:53 nsz Name => Szabolcs Nagy
2013-10-31 21:53 nsz Organization => musl libc
2013-10-31 21:53 nsz Section => locale.h
2013-10-31 21:53 nsz Page Number => -
2013-10-31 21:53 nsz Line Number => -
2013-12-05 17:41 shware_systems Note Added: 0002051
2013-12-12 16:54 eblake Note Added: 0002070
2013-12-12 16:54 eblake Tag Attached: tc2-2008
2013-12-12 16:55 eblake Interp Status => ---
2013-12-12 16:55 eblake Final Accepted Text => see Note: 0002070
2013-12-12 16:55 eblake Status New => Resolved
2013-12-12 16:55 eblake Resolution Open => Accepted As Marked
2013-12-12 17:00 eblake Note Edited: 0002070
2013-12-12 17:10 eblake Note Edited: 0002070
2013-12-12 17:10 eblake Note Edited: 0002070
2013-12-12 17:11 eblake Page Number - => 286-7, 1376
2013-12-12 17:11 eblake Line Number - => 9521, 9530, 45474-5
2013-12-12 17:12 eblake Note Edited: 0002070


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker